> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Clock In Groups

> Get available groups for clock-in data



## OpenAPI

````yaml get /analytics/dashboards/clock-ins/groups
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /analytics/dashboards/clock-ins/groups:
    get:
      tags:
        - provider
        - analytics
        - analytics
      summary: Get Clock In Groups
      description: Get available groups for clock-in data
      operationId: get_clock_in_groups_analytics_dashboards_clock_ins_groups_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: group_by
          in: query
          required: true
          schema:
            enum:
              - location
              - provider
              - date
            type: string
            title: Group By
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: End Date
        - name: location_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Location Ids
        - name: provider_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Provider Ids
        - name: timezone
          in: query
          required: true
          schema:
            type: string
            title: Timezone
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/decoda__apps__api__routes__analytics__dashboards__clock_in__GroupItem
                title: >-
                  Response Get Clock In Groups Analytics Dashboards Clock Ins
                  Groups Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    decoda__apps__api__routes__analytics__dashboards__clock_in__GroupItem:
      properties:
        key:
          type: string
          title: Key
        label:
          type: string
          title: Label
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
      type: object
      required:
        - key
        - label
      title: GroupItem
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````